Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 512518 - Drop apt-rpm from Fedora?
Summary: Drop apt-rpm from Fedora?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: apt
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL: http://apt-rpm.org/
Whiteboard:
Depends On:
Blocks: 228427 428855 428857 495633 511910
TreeView+ depends on / blocked
 
Reported: 2009-07-18 14:12 UTC by Axel Thimm
Modified: 2011-06-27 14:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:17:45 UTC


Attachments (Terms of Use)
src.rpm with all the pacthes (deleted)
2009-09-23 23:11 UTC, Sergey
no flags Details

Description Axel Thimm 2009-07-18 14:12:00 UTC
(In reply to bug 511910 comment #4)
> Oh ... yeah, apt has no chance of working with F >= 11 repositories due to
> sha256 checksum use in the repodata. As MD5 and SHA1 are largely hardwired into
> the guts of libapt-pkg, fixing that sanely would require a major surgery.
> 
> Given the sorry state apt has constantly been lately (several Fedora releases),
> maybe it's time to face the facts and pull the life-support plug on it.  

I'm moving this part of the discussion to a blocker bug. I also copied reporters from open bugs to apt that require upstream support.

Since Panu is apt's upstream maintainer (apt-rpm's to be precise), if he cannot support apt anymore it would either need someone to step up into upstream or this package to be dropped from Fedora. Personally I would be very sad to see apt be dropped, and unfortunately I also don't have free resources to do apt developing.

There are also other resources to take this discussion to, for example apt's own mailing list which will include non-Fedora users. Maybe there is some developer momentum if there is a cryout there.

http://apt-rpm.org/
http://apt-rpm.org/mailinglist.shtml

Comment 1 Axel Thimm 2009-07-18 14:14:17 UTC
I forgot to add, that whatever the future of apt, we should all be grateful to Panu for the love he gave all this years to apt, thanks!

Comment 2 Eli Wapniarski 2009-07-18 17:09:01 UTC
Unfortunately I'm no developer. I too would be very sad to see apt-rpm go. It has served me very well over the years. That and the integration of synaptic.

While yumex and yum have made tremendous strides over the last little while in terms of speed and feature set. Yum still doesn't have a "reinstall" feature and yumex still doesn't seem nearly as intuitive as synaptic.

Despite that I think that yum and yumex have evolved enough to NOT make it a pain in the butt to use. And as much as it does pain me I think its time to say so long. There seems to be only 6 of us monitoring and reporting problems with the progress of apt-rpm and that's another downside of things.

Panu... thank you for the great support over the years. I'm sorry that the time is not there to continue with the development of the program.

If for some reason development would continue I would be one of the first to jump back to apt-rpm. I will miss it.

Eli

Comment 3 Sergey 2009-09-23 23:11:13 UTC
Created attachment 362371 [details]
src.rpm with all the pacthes

Attached .src.rpm file includes fixes for most of the open bugs (#511910, #428857, #428855). It also includes some additional fixes (i.e. fixed gpg-plugin, that now automatically asks when a rpm-gpg key is missing) and a few features ("list" and "log" plugins). It was tested under Fedora10 and Fedora11.

Using it I successfully upgraded Fedora10 to Fedora11.

Comment 4 Eli Wapniarski 2009-09-24 05:02:04 UTC
What about working with Synaptic?

Comment 5 Eli Wapniarski 2009-09-24 05:25:26 UTC
I have rpmbuild 4.7.1-1 on my system. When I try to rebuild the package I get the following error

rpmbuild: error while loading shared libraries: librpmbuild-4.6.so: cannot open shared object file: No such file or directory

huh?

Comment 6 Sergey 2009-09-24 15:08:41 UTC
> What about working with Synaptic?

In general synaptic may have to be rebuilt from .src.rpm. But for me it worked out of the box (`apt-get install synaptic`).

> rpmbuild: error while loading shared libraries: librpmbuild-4.6.so

I've just tested, it works with rpm-4.7.1-1.fc11.x86_64. What's your output of `rpm -qa | grep rpm`? Here's what I have:


$ rpm -qa | grep rpm-
redhat-rpm-config-9.0.3-11.fc11.noarch
rpm-libs-4.7.1-1.fc11.x86_64
rpm-build-4.7.1-1.fc11.x86_64
rpm-4.7.1-1.fc11.x86_64
rpm-devel-4.7.1-1.fc11.x86_64


$ rpmbuild --rebuild apt-0.5.15lorg3.95-0.git416.5.fc10.src.rpm
Installing apt-0.5.15lorg3.95-0.git416.5.fc10.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.28PK1w
+ umask 022
[...]
Wrote: /home/build/rpmbuild/RPMS/x86_64/apt-0.5.15lorg3.95-0.git416.5.fc11.x86_64.rpm
Wrote: /home/build/rpmbuild/RPMS/x86_64/apt-devel-0.5.15lorg3.95-0.git416.5.fc11.x86_64.rpm
Wrote: /home/build/rpmbuild/RPMS/x86_64/apt-python-0.5.15lorg3.95-0.git416.5.fc11.x86_64.rpm
Wrote: /home/build/rpmbuild/RPMS/x86_64/apt-plugins-list-0.5.15lorg3.95-0.git416.5.fc11.x86_64.rpm
Wrote: /home/build/rpmbuild/RPMS/x86_64/apt-plugins-log-0.5.15lorg3.95-0.git416.5.fc11.x86_64.rpm
Wrote: /home/build/rpmbuild/RPMS/x86_64/apt-debuginfo-0.5.15lorg3.95-0.git416.5.fc11.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.K00qJy
+ umask 022
+ cd /home/build/rpmbuild/BUILD
+ cd apt-0.5.15lorg3.95.git416
+ rm -rf /home/build/rpmbuild/BUILDROOT/apt-0.5.15lorg3.95-0.git416.5.fc10.x86_64
+ exit 0

Comment 7 Eli Wapniarski 2009-09-24 17:20:03 UTC
rpm -qa | grep rpm-
yum-plugin-rpm-warm-cache-1.1.22-1.fc11.noarch
rpm-libs-4.7.1-1.fc11.x86_64
rpm-devel-4.7.1-1.fc11.x86_64
deltarpm-3.4-16.fc11.x86_64
rpm-python-4.7.1-1.fc11.x86_64
rpm-4.7.1-1.fc11.x86_64
redhat-rpm-config-9.0.3-11.fc11.noarch
rpm-build-4.7.1-1.fc11.x86_64

and

ls -l /usr/lib64/*rpm*
lrwxrwxrwx 1 root root     20 2009-09-24 20:14 /usr/lib64/librpmbuild.so -> librpmbuild.so.0.0.0
lrwxrwxrwx 1 root root     20 2009-09-24 20:14 /usr/lib64/librpmbuild.so.0 -> librpmbuild.so.0.0.0
-rwxr-xr-x 1 root root 159280 2009-07-24 08:07 /usr/lib64/librpmbuild.so.0.0.0
lrwxrwxrwx 1 root root     17 2009-09-24 20:14 /usr/lib64/librpmio.so -> librpmio.so.0.0.0
lrwxrwxrwx 1 root root     17 2009-09-24 20:14 /usr/lib64/librpmio.so.0 -> librpmio.so.0.0.0
-rwxr-xr-x 1 root root 187936 2009-07-24 08:07 /usr/lib64/librpmio.so.0.0.0
lrwxrwxrwx 1 root root     15 2009-09-24 20:14 /usr/lib64/librpm.so -> librpm.so.0.0.0
lrwxrwxrwx 1 root root     15 2009-09-24 20:14 /usr/lib64/librpm.so.0 -> librpm.so.0.0.0
-rwxr-xr-x 1 root root 449928 2009-07-24 08:07 /usr/lib64/librpm.so.0.0.0


There is no

librpmbuild-4.6.so

Comment 8 Eli Wapniarski 2009-09-24 17:31:17 UTC
There is something screwy with the installation on one of my computers

Its working on another

When I figure it out, I will let you know

Comment 9 Sergey 2009-09-24 17:46:17 UTC
Then probably you have either broken "rpmbuild" package (librpmbuild-4.6.so was used by rpmbuild in F10), or you have several of them. Check `which rpmbuild`, `locate rpmbuild`, `ldd /usr/bin/rpmbuild`...

Comment 10 Eli Wapniarski 2009-09-24 20:39:56 UTC
There was a duplicate sitting in /bin. Removed and everything seems to working just fine.

Thanks... I will be testing it over the next couple of weeks and letting you know how things go.

This is absolutely great. Looking very forward to having an working apt-get synaptic combo again.

Comment 11 Eli Wapniarski 2009-09-25 07:36:08 UTC
OK.... On one coupter... This seems to be working. Latest Synaptic SRPM from koji was rebuilt and also seems to working. This is on one computer. No crash no muss no fuss.

Testing continues


Thank you so very much for this :)

Comment 12 Eli Wapniarski 2009-09-25 16:59:38 UTC
First problem

apt-get update
apt-get dist-upgrade

The following packages will be DOWNGRADED
   libdca (0.0.5-4.fc11 => 0.0.5-4.fc11)
0 upgraded, 0 newly installed, 1 downgraded, 0 removed and 0 not upgraded.
Need to get 0B/113kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n] y
Checking GPG signatures...               ############################## [100%]
Committing changes...
Preparing                                ############################## [100%]
        package libdca-0.0.5-4.fc11.x86_64 is already installed
E: Error while running transaction
E: Handler silently failed

The package is from rpmfusion

Comment 13 Eli Wapniarski 2009-09-25 17:13:21 UTC
oh... forgot to mention this problem occurs with the 64 bit package. The 32bit version on the x86_64 bit platform seems to be OK.

Comment 14 Eli Wapniarski 2009-09-26 06:37:04 UTC
Problem No. 2

E: Repository model not found for http://download.redhat.fedora.com/pub/ fedora/linux/updates/11/x86_64/

I get the above message even though the repodata directory clearly sits under the path mentioned above

The same is true for Everything repository and updates-testing

Comment 15 Sergey 2009-09-26 17:16:22 UTC
> E: Repository model not found for http://download.redhat.fedora.com/pub/
> fedora/linux/updates/11/x86_64/

First, "download.REDHAT.FEDORA.com" is definitely an incorrect path. It should be "download.FEDORA.REDHAT.com". Second, `fedora-package-config-apt` contains pathes to download.fedoraproject.org, so it could be you edited them manually and made a mistake there.

Check your configuration files. If you're using rpmfusion they should be like that:
$ egrep -vhr '^(#|$)' /etc/apt/sources.list*
repomd http://download.fedoraproject.org/pub/ fedora/linux/releases/$(VERSION)/Everything/$(ARCH)/os/
repomd http://download.fedoraproject.org/pub/ fedora/linux/updates/$(VERSION)/$(ARCH)/
repomd http://download1.rpmfusion.org free/fedora/releases/$(VERSION)/Everything/$(ARCH)/os
repomd http://download1.rpmfusion.org free/fedora/updates/$(VERSION)/$(ARCH)
repomd http://download1.rpmfusion.org nonfree/fedora/releases/$(VERSION)/Everything/$(ARCH)/os
repomd http://download1.rpmfusion.org nonfree/fedora/updates/$(VERSION)/$(ARCH)

Also you can run:
$ rpm -V apt fedora-package-config-apt rpm
to check, that nothing is broken in your packages.

>The following packages will be DOWNGRADED
>   libdca (0.0.5-4.fc11 => 0.0.5-4.fc11)

Could be a repository conflict (when same package included in different repositories and packaged differently). Check out your:
$ rpm -qa | grep libdca
$ apt-cache showpkg libdca | head

Also it could be you can just reinstall it wherever it comes from:
$ apt-get install --reinstall libdca

Comment 16 Eli Wapniarski 2009-09-26 17:42:00 UTC
computers are so much better at multitasking then people. :)

Sorry about the dumb mistake

Comment 17 Eli Wapniarski 2009-09-26 21:11:24 UTC
Question....

I currently get output like the following from apt-get:

0 upgraded, 0 newly installed, 0 removed and 6 not upgraded


without further info. How do I find out what packages are not being upgraded?

Comment 18 Eli Wapniarski 2009-09-29 20:25:02 UTC
OK... So as is apt-get seems to work well.

However, in the interim, yum has caught up and for day to day package management seems to have surpassed apt-get in one genuinely important way.

deltarpms.


Yum has become much quicker than it used to be and it has become important (IMHO) that apt-get fully support delta rpms because the time that is saved by it is enormous.

There are a couple of other features that I would like to see included in apt-get, but that's another wish list :)

But... I do have to say.... Well done. apt-get is working again. Long live apt-get :)

Comment 19 Sergey 2009-09-30 23:42:04 UTC
> 0 upgraded, 0 newly installed, 0 removed and 6 not upgraded

Was it after `apt-get upgrade`? The `upgrade` command does not install new packages neither it removes packages. It's probably supposed to be safe to run from cron-scripts since it only updates existing packages. If newer version of the package requires something that is not installed, such package won't be upgraded.

To upgrade them all there's:
# apt-get dist-upgrade
It will try to solve all the dependencies, remove conflicting packages and install required new ones.

It you want just to see what's going to be downloaded, but don't want the download to begin yet, you can run (even from regular user account):
# apt-get dist-upgrade --print-uris
(can also be used on a PC without internet connection)


> it has become important that apt-get fully support delta rpms

Deltarpms support is in the apt-rpm official roadmap. I'm not sure what are current plans of Panu Matilainen. I've sent him an email but had not received a response yet.

Comment 20 Eli Wapniarski 2009-10-01 05:07:13 UTC
Yes of course its from

   apt-get upgrade

and

  apt-get dist-upgrade

I always use dist-upgrade for the reason you mentioned. However, I still get the message sometimes that apt-get isn't going to "upgrade" something, which could also be a downgrade by the way, without any further information. This kinda bugs me as apt-get sees a package it wants to handle but can't because it is... I have no idea why and would like to.

Very good news about deltarpms.

Panu... If your listening.... And I know you are :) and without asking for any kind of commitment could you confirm that your working on it please.

Comment 21 Eli Wapniarski 2009-11-08 07:06:33 UTC
I have yet to see the patched version applied and updates available. Its been a long time since the patch submitted has been tested. I don't seem to have any trouble with apt-get as is.

Wouldn't it be good to get a working version out there? Or, is there some other problem that I'm not aware of?

Comment 22 Axel Thimm 2009-11-08 21:52:40 UTC
I think Sergey made a great job with rectifying the current issues with apt-rpm, and we may have this one time fix in the package, but if this doesn't go upstream, then the project is still dead and kept artificially alive.

Perhaps Sergey could talk with Panu or post on the apt-rpm list to get commit access?

Comment 23 Eli Wapniarski 2009-11-09 05:44:48 UTC
That would be good. Sergey did make a great job of it. And I would dearly love to see apt-rpm active in Fedora again. How about it? Panu? Sergey? :)

Comment 24 Bug Zapper 2009-11-16 11:01:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 25 Eli Wapniarski 2009-12-02 06:18:56 UTC
Just upgraded to Fedora 12 and noticed that apt was included and was this fixed build.

Thank you. Thank you. Thank you.

Long live apt-rpm

Comment 26 Axel Thimm 2009-12-02 13:42:42 UTC
While the work from Sergey gives some relief, apt-rpm still needs to be revived on an upstream level, so I'm not closing this bug, yet.

Comment 27 Eli Wapniarski 2009-12-05 06:47:39 UTC
Its really great that the current version of apt has been added to the Fedora 12 repository.

Would you be so kind as to push it to the Fedora 11 updates as well.

Thank you.

Comment 28 Bug Zapper 2010-03-15 12:42:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 29 Bug Zapper 2011-06-02 17:54:52 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 30 Bug Zapper 2011-06-27 14:17:45 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.